--
-- realisticGearSimulation
-- Specialization for Allrad
--
-- by modelleicher
-- www.schwabenmodding.bplaced.net


realisticGearSimulation = {};

function realisticGearSimulation.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function realisticGearSimulation:load(xmlFile)
	self.maxRpmOriginValue = self.motor.maxRpm[3];
	
	
	self.gearN = true
	self.gearA = false
	self.gearB = false
	self.gearC = false
	self.gearD = false
	
end;

function realisticGearSimulation:delete()
end;
function realisticGearSimulation:mouseEvent(posX, posY, isDown, isUp, button)
end;
function realisticGearSimulation:keyEvent(unicode, sym, modifier, isDown)
end;
function realisticGearSimulation:update(dt)
	if self.isMotorStarted then
		if self.lastSpeed*3600 == 0 then
			self.gearN = true
		else 
			self.gearN = false
		end
				if self.lastSpeed*3600 > 0 and self.lastSpeed*3600 < 8 then
					self.gearA = true
					self.gearB = false
					self.gearC = false
					self.gearD = false
				end
				if self.lastSpeed*3600 > 8 and self.lastSpeed*3600 < 13 then
					self.gearB = true
					self.gearA = false
					self.gearC = false
					self.gearD = false
				end
				if self.lastSpeed*3600 > 13 and self.lastSpeed*3600 < 18 then
					self.gearC = true
					self.gearA = false
					self.gearB = false
					self.gearD = false
				end
				if self.lastSpeed*3600 > 18 and self.lastSpeed*3600 < 26 then
					self.gearD = true
					self.gearA = false
					self.gearB = false
					self.gearC = false
				end
				
			self.maxRpmFactor = self.maxRpmFactor + gearX;
			if self.gearA == true then
				gearX = 8
			
			
			
				self.motor.maxRpmOverride =  self.maxRpmOriginValue *  self.maxRpmFactor;	
	
	
	
	
	end;
end;

function realisticGearSimulation:draw()
end;
